Almico's Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000231SpeedFanHardware supportpublic2005-03-20 23:402005-06-14 10:46
Reporterflachschippe 
Assigned Toalfredo 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPC Athlon 64 Nforce 4OSWindowsOS Version2000 SP 4
Product Version4.22 
Target VersionFixed in Version4.23 
Summary0000231: Ambient temperature of GF6600GT not reported
DescriptionNone of the temperatures seems to reflect the video card's 'ambient' temperature. The monitoring tool supplied by the card manufacturer distinguishes and monitors two temperatures, the core temperature and the ambient (board or memory chip?) temperature. Since version 4.22, SpeedFan offers the GPU core temperature value all right, thanks for fixing that! I don't know whether SpeedFan is supposed to be able to read the second temperature or not. If not, please change the severity to 'feature'.
Steps To ReproduceLooked at the temps offered in the configuration dialog.
TagsNo tags attached.
Motherboard Model
Video Card ModelLeadtek PX6600GT TDH 128MB Extreme Version (Nvidia GeForce 6600 GT PCIe)
Attached Files

- Relationships

-  Notes
(0000800)
flachschippe (reporter)
2005-03-26 22:47

Looking more closely at the temperatures, it looks like it's actually the other way around: SpeedFan does report the video card's ambient temperature, but not the core temperature. Let me explain.
On my machine, there are three programs (besides SpeedFan) that can report one or more video card tempertures:
1. The appropriate Nvidia display driver tab ("Temperatureinstellungen" in german, probably "Temperature Settings" in english)
2. The Nvidia NVMonitor application
3. The card manufacturer's utility, called WinFox Hardware Monitor.
All three report the GPU core temperature. The temperatures usually match and change alike, mismatches of a degree Celsius or two appear to be due to different sample times. WinFox is the only one of the three that reports a second temperature, labeled "Ambient Temperature".
Initially, I simply assumed that all tools that report only one temperature would report the GPU temperature and that SpeedFan would do the same. Since the 'ambient' and 'core' temperatures reported by WinFox often have similar values, this was possible.
Then I noticed that the video card temperature reported by SpeedFan (via LM75 on an i2c SMBus) does not change like the GPU core temperatures reported by the other programs. Instead, it changes like the ambient temperature as reported by WinFox. So, the title of this issue should be changed to 'Core temperature ... not reported'.
Is the reporting of the ambient instead of core temperature intentional?
(0000801)
alfredo (manager)
2005-03-27 00:05

SpeedFan can only scan the I2C bus available on nvidia video cards for known monitoring chips. Then it shows all temperatures it could find. Unfortunately, different chips and different placements for the sensors are used. You need to find the correspondence as there is no known rule.
(0000802)
flachschippe (reporter)
2005-03-29 22:45
edited on: 2005-03-31 11:41

The Leadtek WinFox Hardware Monitor application's 'Advanced Information' Dialog lists 'LM99' as the 'Hardware Monitor' format. It appears to me that SpeedFan does not detect the LM99 chip (searching the site for LM99 yields no results).
  The LM99 monitors two temperatures, its own and that of a remotely connected diode. Looks like the LM99 looks like an LM75 to Speedfan (the first four address bits are the same) and the default temp to monitor is the sensor chip's own temperature, which, relative to the GPU, is the 'ambient' temperature.
  A (the?) manufacturer page: http://www.national.com/pf/LM/LM99.html [^] , datasheet: http://www.national.com/ds/LM/LM99.pdf [^] ). Can you make SpeedFan detect and use this chip?
  Being curious, I tried to figure out how to read the remote instead of the local temperature -- the command register has to be set to 0x1 instead of to 0x0, right?
  Interestingly (to me), the LM99's minimum temp of 30 degrees Celsius might explain why the reading always starts at just below 30 degrees, whereas other temps such as of the hard disk start at room temperature.
  Another observation: The Nvidia driver's default GPU throttling temperature is 145 degrees -- yet even the max. specified remote diode temperature of the sensor (LM99) is below that (140 degrees C).

(0000803)
flachschippe (reporter)
2005-03-31 11:40

Not entirely trusting the WinFox output, I checked the board. Indeed, there is a chip marked with 'T17C' which matches the expected LM99 marking format as given on the NatSem site.
  For those interested: It is on the front left side (PCIe connector being down) just under the (Leadtek) heat sink rim, the 8-pin IC closest to the GPU core. You can barely see it beside the heat sink pin in this picture: http://www.ixbt.com/video2/images/nv43-3/leadtek-6600gt-front.jpg [^] (Leadtek appears to have used the Nvidia reference design).
(0000811)
alfredo (manager)
2005-04-03 12:00

I'm going to add LM99 support.
(0000846)
flachschippe (reporter)
2005-04-23 20:24

With 4.23, it works now
 (as long as I don't start Expertool after SpeedFan, see issue 243).
Thanks again!
(0000972)
flachschippe (reporter)
2005-06-12 11:01

Reminder sent to: almico

This issue can be set to 'resolved' as far as I see it.

- Issue History
Date Modified Username Field Change
2005-03-20 23:40 flachschippe New Issue
2005-03-20 23:40 flachschippe Video Card Model => Leadtek PX6600GT TDH 128MB Extreme Version (Nvidia GeForce 6600 GT PCIe)
2005-03-26 22:47 flachschippe Note Added: 0000800
2005-03-27 00:05 alfredo Note Added: 0000801
2005-03-27 00:05 alfredo Severity minor => feature
2005-03-27 00:18 alfredo Status assigned => acknowledged
2005-03-29 22:45 flachschippe Note Added: 0000802
2005-03-31 11:40 flachschippe Note Added: 0000803
2005-03-31 11:41 flachschippe Note Edited: 0000802
2005-04-03 12:00 alfredo Note Added: 0000811
2005-04-23 20:24 flachschippe Note Added: 0000846
2005-06-12 11:01 flachschippe Note Added: 0000972
2005-06-14 10:46 alfredo Status acknowledged => resolved
2005-06-14 10:46 alfredo Resolution open => fixed
2005-06-14 10:46 alfredo Fixed in Version => 4.23


Copyright © 2000 - 2018 MantisBT Team
Time: 0.3505 seconds.
memory usage: 8,090 KB
Powered by Mantis Bugtracker